[med-svn] r11257 - trunk/packages/R/r-bioc-qvalue/trunk/debian

Andreas Tille tille at alioth.debian.org
Thu Jun 7 15:37:56 UTC 2012


Author: tille
Date: 2012-06-07 15:37:56 +0000 (Thu, 07 Jun 2012)
New Revision: 11257

Added:
   trunk/packages/R/r-bioc-qvalue/trunk/debian/get-orig-source
Modified:
   trunk/packages/R/r-bioc-qvalue/trunk/debian/changelog
   trunk/packages/R/r-bioc-qvalue/trunk/debian/watch
Log:
Remove manual.pdf as requested by ftpmaster (binary without source)


Modified: trunk/packages/R/r-bioc-qvalue/trunk/debian/changelog
===================================================================
--- trunk/packages/R/r-bioc-qvalue/trunk/debian/changelog	2012-06-07 15:36:34 UTC (rev 11256)
+++ trunk/packages/R/r-bioc-qvalue/trunk/debian/changelog	2012-06-07 15:37:56 UTC (rev 11257)
@@ -2,6 +2,8 @@
 
   * New upstream version which is now provided at BioConductor
     and thus we also do a name change in the packaging
+  * debian/get-orig-source: Remove "binary without source"
+    manual.pdf from upstream source
   * debian/control:
      - s/cran/bioc/ (package names, Vcs fields)
      - Replaces/Provides/Conflicts: r-cran-qvalue

Added: trunk/packages/R/r-bioc-qvalue/trunk/debian/get-orig-source
===================================================================
--- trunk/packages/R/r-bioc-qvalue/trunk/debian/get-orig-source	                        (rev 0)
+++ trunk/packages/R/r-bioc-qvalue/trunk/debian/get-orig-source	2012-06-07 15:37:56 UTC (rev 11257)
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Delete manual.pdf in upstream source because there is no source
+# and upstream did not responded when asking for it
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+UNAME=`echo ${NAME} | sed 's/^r-bioc-//'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${UNAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+mkdir -p ../tarballs
+cd ../tarballs
+tar xaf ../${UNAME}*.tar.gz
+find ${UNAME} -name manual.pdf -delete
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.gz "${UNAME}"
+rm -rf "$UNAME"


Property changes on: trunk/packages/R/r-bioc-qvalue/trunk/debian/get-orig-source
___________________________________________________________________
Added: svn:executable
   + *

Modified: trunk/packages/R/r-bioc-qvalue/trunk/debian/watch
===================================================================
--- trunk/packages/R/r-bioc-qvalue/trunk/debian/watch	2012-06-07 15:36:34 UTC (rev 11256)
+++ trunk/packages/R/r-bioc-qvalue/trunk/debian/watch	2012-06-07 15:37:56 UTC (rev 11257)
@@ -1,4 +1,5 @@
 version=3
 opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
  http://www.bioconductor.org/packages/release/bioc/html/qvalue.html \
- .*/qvalue_([\d\.]+)\.tar\.gz
+ .*/qvalue_([\d\.]+)\.tar\.gz \
+ debian debian/get-orig-source




More information about the debian-med-commit mailing list